View Issue Details

IDProjectCategoryView StatusLast Update
0000859bareos-core[All Projects] Generalpublic2017-12-23 15:10
ReporterjoergsAssigned To 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformSolaris11OSSolarisOS Version11
Product Version17.2.4-rc1 
Target VersionFixed in Version17.2.4 
Summary0000859: Bareos >= 17.2 does not compile on Solaris 11 (using Solaris Studio)
DescriptionThe compiler complains about invalid empty chars ('') in the code intended as SQL statement:

SQL_QUERY(
...
   File.Name != ''
...
)

Compiling sqlite.c
"sqlite_queries.inc", line 899: Error: Empty character constant.
"sqlite_queries.inc", line 908: Error: Empty character constant.
Additional InformationAlso other compilers (clang) produces warnings.
Reason is, that this compiler check is done before the define substitutions.
Nested defines (to hide '') also do not work.
TagsNo tags attached.
bareos-master: impactyes
bareos-master: actionfixed
bareos-18.2: impact
bareos-18.2: action
bareos-17.2: impactyes
bareos-17.2: actionfixed
bareos-16.2: impactno
bareos-16.2: action
bareos-15.2: impactno
bareos-15.2: action
bareos-14.2: impactno
bareos-14.2: action
bareos-13.2: impactno
bareos-13.2: action
bareos-12.4: impactno
bareos-12.4: action

Activities

joergs

joergs

2017-10-09 15:09

administrator   ~0002782

Fix committed to bareos bareos-17.2 branch with changesetid 7276.

Related Changesets

bareos: bareos-17.2 e4a0f780

2017-10-08 16:25:00

joergs

Ported: N/A

Details Diff
Fixes compilation for Solaris

Instead of using a C macro SQL_QUERY(...) to represent a SQL query,
use normal (combined) strings.
This is required as some compilers interpret the macro strings as C code
and forbid certain substring ('', MAX, ...).

Fixes 0000859: Compile fails on Solaris 11 (using Solaris Studio)
Affected Issues
0000859
mod - src/cats/bdb_query_names.inc Diff File
mod - src/cats/cats.h Diff File
mod - src/cats/dml/create_queryfiles.sh Diff File
mod - src/cats/mysql_queries.inc Diff File
mod - src/cats/postgresql_queries.inc Diff File
mod - src/cats/sqlite_queries.inc Diff File

Issue History

Date Modified Username Field Change
2017-10-08 13:47 joergs New Issue
2017-10-08 13:47 joergs Status new => assigned
2017-10-08 13:47 joergs Assigned To => joergs
2017-10-08 13:48 joergs bareos-master: impact => yes
2017-10-08 13:48 joergs bareos-master: action => will care
2017-10-08 13:48 joergs bareos-17.2: impact => yes
2017-10-08 13:48 joergs bareos-17.2: action => will care
2017-10-08 13:48 joergs bareos-16.2: impact => no
2017-10-08 13:48 joergs bareos-15.2: impact => no
2017-10-08 13:48 joergs bareos-14.2: impact => no
2017-10-08 13:48 joergs bareos-13.2: impact => no
2017-10-08 13:48 joergs bareos-12.4: impact => no
2017-10-09 15:09 joergs Changeset attached => bareos bareos-17.2 e4a0f780
2017-10-09 15:09 joergs Note Added: 0002782
2017-10-09 15:09 joergs Status assigned => resolved
2017-10-09 15:09 joergs Resolution open => fixed
2017-12-23 15:10 joergs bareos-master: action will care => fixed
2017-12-23 15:10 joergs bareos-17.2: action will care => fixed
2017-12-23 15:10 joergs Status resolved => closed
2017-12-23 15:10 joergs Assigned To joergs =>
2017-12-23 15:10 joergs Fixed in Version => 17.2.4